## amavis-stats 0.1.12

=== redhat/Makefile ===
spec: orig.spec
	sed -e 's/^Version:.*/Version: $(VERSION)/' \
		-e 's/^Name:.*/Name: $(PACKAGE)/' \
		-e 's/^Summary:.*/Summary: $(DESC)/' \
		-e 's/^Source:.*/Source: $(SOURCE)/' \
		-e 's/^Release:.*/Release: 1/' \
		orig.spec > spec.tmp
	sed -e '/^%description/,// d' spec.tmp > spec.tmp2
	sed -e '1,/^%description/ d' spec.tmp > spec.tmp3
	echo "%description" >> spec.tmp2
	../version -dl >> spec.tmp2
	cat spec.tmp2 spec.tmp3 > $(PACKAGE)-$(VERSION)-1.spec
	-rm -f spec.tmp*


clean:
	rm -f amavis-stats*spec

## amavis-stats 0.1.22+dfsg

=== debian/changelog ===
amavis-stats (0.1.22+dfsg-2) unstable; urgency=low

  * QA upload.
  * Depend on librrdp-perl, libunix-syslog-perl (Closes: #528586) and procps
    (for ps invocation in postinst script)
  * Install amavis-stats.conf in the default location (Closes: #571095)

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 07 Aug 2010 16:31:15 +0200

amavis-stats (0.1.22+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Remove non-free ChalkboardBold.ttf font (Closes: #590978)
    - Repack orig tarball.
    - Remove installation of ChalkboardBold.ttf from Makefile{,am,in}
    - Use FreeSansBold.ttf from ttf-freefont
  * Bump Standards-Version to 3.9.1.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Aug 2010 01:56:40 -0400

amavis-stats (0.1.22-2) unstable; urgency=low

  * QA upload.
  * Switch to "3.0 (quilt)" source format
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Francisco Javier Cuadrado).  Closes: #533140

 -- Christian Perrier <bubulle@debian.org>  Tue, 30 Mar 2010 07:37:38 +0200

amavis-stats (0.1.22-1) unstable; urgency=low

  * QA upload.
  * New upstream release. (Closes: #506703, #308951).
    + Supports banned file statistics. (Closes: #248971).
  * Remove config.sub, config.guess on clean. (Closes: #273657).
    + Though they are used now.
  * Add quilt patch system.
  * 010_gzcat.diff - Look for zcat instead of gzcat in configure.
  * Add build-dep on rrdtool.
  * Add watch file.
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 27 Apr 2009 14:32:55 -0400

amavis-stats (0.1.12-10) unstable; urgency=low

  * QA upload.
  * Fix pending l10n bugs. Debconf translations:
    - Portuguese. Closes: #488574, #498969
    - Finnish. Closes: #498843
    - Basque. Closes: #498871

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Sep 2008 08:34:45 +0200

amavis-stats (0.1.12-9) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group
  * Make clean not ignore errors.
  * Remove /usr/bin from dirs.
  * Move dh commands to binary-indep, package is arch all.
  * Remove unused dh commands from rules.
  * Update debian/copyright.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.7.3. (No changes needed).

 -- Barry deFreese <bddebian@comcast.net>  Thu, 24 Jan 2008 16:45:03 -0500

amavis-stats (0.1.12-8) unstable; urgency=low

  * Accept NMUs.
  (closes: #419874)
  * Remove dependancy on php4-rrdtool
  (closes: #424780)
  * Source debconf library in postrm
  (closes: #431678)
  * Send mail to root by default
  (closes: #284992)
  * Add Dutch po-debconf translation
  (closes: #418398)
  * Update the German po-debconf translation
  (closes: #411517)


 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue, 25 Dec 2007 15:05:13 +0200

amavis-stats (0.1.12-7.5) unstable; urgency=high

  * Non-maintainer upload.
  * Fix amavis-stats.php to work with tools in Debian etch (bug
    "does not create and display graphics anymore").  Thanks
    Daniel Smolik for the patch.  Closes: #419874

 -- Joost van Baal <joostvb@debian.org>  Mon, 01 Oct 2007 12:54:05 +0200

amavis-stats (0.1.12-7.4) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Guard the calls to debconf in the postrm so that they work even if
    debconf has already been removed; and drop the duplicate call to
    db_purge.  Closes: #416646.

 -- Steve Langasek <vorlon@debian.org>  Mon, 14 May 2007 22:51:18 -0700

amavis-stats (0.1.12-7.3) unstable; urgency=low

  * Non-maintainer upload to complete former non-maintainer upload..:-)
  * Split _Choices in __Choices in debconf templates
  * Mark untranslatable choices as untranslatable
  * Replace "Both" by "All" as there are now 3 webserver packages
    Closes: #308425
  * Build-Depends on po-debconf
  * Debconf translation updates:
    - Spanish added. Closes: #333774
    - Japanese updated. Sent during the "2nd round" of the NMU campaign.
    - Swedish updated. Sent during the "2nd round" of the NMU campaign.
    - Russian updated. Sent during the "2nd round" of the NMU campaign.
    - Vietnamese updated. Sent during the "2nd round" of the NMU campaign.
    - Italian added. Sent during the "2nd round" of the NMU campaign.
    - Dzongkha added. Sent during the "2nd round" of the NMU campaign.
    - Brazilian Portuguese added. Sent during the "2nd round" of
       the NMU campaign.
    - Czech updated. Sent during the "2nd round" of the NMU campaign.

 -- Christian Perrier <bubulle@debian.org>  Sun, 26 Nov 2006 12:32:36 +0100

amavis-stats (0.1.12-7.2) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Correct templates to fit advices from the Developer's Reference
    Closes: #377906
  * Debconf translation updates:
    - French (unfuzzied)
    - Czech added. Closes: #315817
    - Swedish added. Closes: #330962
    - Portuguese added. Closes: #336340
    - Russian added. Closes: #338173
    - Brazilian Portuguese updated. Closes: #373967
    - Basque added. Sent during the call for translations related to the NMU.
    - Japanese updated. Closes: #393221
    - Vietnamese updated. Sent during the call for translations related to the NMU.
    - German added. Sent during the call for translations related to the NMU.

 -- Christian Perrier <bubulle@debian.org>  Sat,  7 Oct 2006 10:02:27 +0200

amavis-stats (0.1.12-7.1) unstable; urgency=low

  * NMU
  * Escape the entry for printing the date as a COMMENT in the graph
    (Closes: #325835)
  * Update FSF address in debian/copyright

 -- Julien Danjou <acid@debian.org>  Tue, 16 May 2006 17:04:17 +0200

amavis-stats (0.1.12-7) unstable; urgency=low

  * Update French po-debconf translation.
  (closes: #298603)
  * Add a new Vietnamese po-debconf translation.
  (closes: #307739)
  * Update Danish po-debconf translation.
  (closes: #298841)
  * Update Japanese po-debconf translation.
  (closes: #310093)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sat, 18 Jun 2005 09:54:16 +0200



=== debian/control ===
Source: amavis-stats
Section: admin
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 5.0.0), autotools-dev, po-debconf, rrdtool
Standards-Version: 3.9.1

Package: amavis-stats
Architecture: all
Depends: ${misc:Depends}, librrds-perl, librrdp-perl, rrdtool | php4-rrdtool, wwwconfig-common, adduser, ttf-freefont, libunix-syslog-perl, procps
Recommends: amavis 
Description: Virus statistics RRDtool frontend for Amavis 
 Amavis-stats is a simple Amavis statistics generator based on RRDtool. It
 produces graphs of clean emails, spam emails and infected emails broken down
 by virus, from amavis log entries.
 .
 The RRD files are created and updated by a perl script. Graphs are generated
 by a php script.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif  
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir

	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--localstatedir=/var \
	--sysconfdir=/etc \
	--with-user=www-data \
	--with-group=www-data


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/amavis-stats.sgml > amavis-stats.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	debconf-updatepo
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.sub
	rm -f config.guess
	rm -f config.nice
	rm -rf .pc

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/amavis-stats.
	$(MAKE) install prefix=$(CURDIR)/debian/amavis-stats/usr sysconfdir=$(CURDIR)/debian/amavis-stats/etc/amavis-stats var_prefix=$(CURDIR)/debian/amavis-stats localstatedir=$(CURDIR)/debian/amavis-stats/var
	mv $(CURDIR)/debian/amavis-stats/etc/amavis-stats/amavis-stats.conf $(CURDIR)/debian/amavis-stats/etc/amavis-stats.conf
	install -m 644 $(CURDIR)/debian/apache.conf $(CURDIR)/debian/amavis-stats/etc/amavis-stats/
	rm -rf $(CURDIR)/debian/amavis-stats/usr/share/amavis-stats/img
	cd $(CURDIR)/debian/amavis-stats/usr/share/amavis-stats && ln -sf ../../../var/cache/amavis-stats/ img

	#Not sure where this is coming from yet.
	mkdir -p $(CURDIR)/debian/amavis-stats/usr/share/doc/amavis-stats/
	mv $(CURDIR)/debian/amavis-stats/usr/doc/* $(CURDIR)/debian/amavis-stats/usr/share/doc/amavis-stats/
	rm -rf $(CURDIR)/debian/amavis-stats/usr/doc

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installdebconf	
	dh_installcron
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://osx.topicdesk.com/content/view/42/59/ \
http://downloads\.topicdesk\.com/amavis_stats/amavis-stats-([\d.]+)\.tar\.gz
